window.onload = function() {
    if(typeof rusvc_notify == 'undefined') return false;
    if(rusvc_notify.on !== '1') return false;
    var sw = getCookie('rusvc_notify_off');
    if(sw != 1) {
        var overlay = document.createElement('div');
		overlay.setAttribute('id', 'rusvc_notify_overlay');
		document.getElementsByTagName('body')[0].appendChild(overlay);
		var win = document.createElement('div');
		win.setAttribute('id', 'rusvc_notify_window');
		overlay.appendChild(win);
		if(rusvc_notify.linkattr == '1') {
            rusvc_notify.linkattr = 'target="_blank"';
		}
		var lnk = '';
		if(rusvc_notify.link !== '' && typeof rusvc_notify.link != 'undefined') lnk = '<p style="text-align:center;"><a id="rusvc_notify_link" href="'+rusvc_notify.link+'" '+rusvc_notify.linkattr+'>'+rusvc_notify.anchor+'</a></p>'
		document.getElementById('rusvc_notify_window').innerHTML = '<h2><a title="Закрыть" onclick="rusvc_notify_close();">x</a>'+rusvc_notify.title+'</h2><hr>'+rusvc_notify.text+lnk+'<div id="rusvc_notify_limiter"></div>';
		document.cookie = 'rusvc_notify_off=1; expires='+expireShift(rusvc_notify.period)+'; path=/; domain='+document.domain+';';
    }
};

function rusvc_notify_close() {
    overlay = document.getElementById('rusvc_notify_overlay');
    overlay.parentNode.removeChild(overlay)
}

function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for(var i=0; i<ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1);
        if (c.indexOf(name) === 0) return c.substring(name.length,c.length);
    }
    return null;
}

function expireShift(shift) {
    var exShift = new Date(new Date().getTime() + 60000 * shift);
	return exShift.toUTCString();
}
